## ros-foxy-depthai-ros 2.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)  # CMake version in Ubuntu 18.04 LTS

project(depthai-ros VERSION 2.7.1 LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)


ament_package()

=== debian/changelog ===
ros-foxy-depthai-ros (2.7.1-1focal) focal; urgency=high

  * Add custom output size option for streams

 -- sachin <sachin@luxonis.com>  Tue, 28 Mar 2023 22:00:00 -0000

ros-foxy-depthai-ros (2.7.0-1focal) focal; urgency=high

  * Added depthai_descriptions package
  * Added depthai_filters package
  * XLinkIn option for image subscription
  * Additional debugging options
  * Bugfixes

 -- sachin <sachin@luxonis.com>  Mon, 27 Mar 2023 22:00:00 -0000

ros-foxy-depthai-ros (2.6.4-1focal) focal; urgency=high

  * Fix sensor name detection
  * Enable subpixel mode
  * Update camera start/stop services

 -- sachin <sachin@luxonis.com>  Wed, 22 Feb 2023 23:00:00 -0000

ros-foxy-depthai-ros (2.6.3-1focal) focal; urgency=high

  * Camera calibration updates
  * Option to connect to the device via USB port id

 -- sachin <sachin@luxonis.com>  Thu, 09 Feb 2023 23:00:00 -0000

ros-foxy-depthai-ros (2.6.2-1focal) focal; urgency=high

  * Fixed timestamp in SpatialDetector
  * Updated topic names in stereo_inertial_node

 -- sachin <sachin@luxonis.com>  Tue, 31 Jan 2023 23:00:00 -0000

ros-foxy-depthai-ros (2.6.1-1focal) focal; urgency=high

  * Update docker image building

 -- sachin <sachin@luxonis.com>  Tue, 10 Jan 2023 23:00:00 -0000

ros-foxy-depthai-ros (2.6.0-1focal) focal; urgency=high

  * Added depthai_ros_driver package

 -- sachin <sachin@luxonis.com>  Tue, 10 Jan 2023 23:00:00 -0000

ros-foxy-depthai-ros (2.5.3-1focal) focal; urgency=high

  * Updated release version
  * Contributors: Sachin

 -- sachin <sachin@luxonis.com>  Sat, 20 Aug 2022 22:00:00 -0000

ros-foxy-depthai-ros (2.5.2-1focal) focal; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- sachin <sachin@luxonis.com>  Tue, 31 May 2022 22:00:00 -0000

ros-foxy-depthai-ros (2.5.1-1focal) focal; urgency=high

  * Fix Build farm issues

 -- sachin <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000

ros-foxy-depthai-ros (2.5.0-1focal) focal; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- sachin <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-depthai-ros
Section: misc
Priority: optional
Maintainer: sachin <sachin@luxonis.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-depthai-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-depthai, ros-foxy-depthai-bridge, ros-foxy-depthai-descriptions, ros-foxy-depthai-examples, ros-foxy-depthai-ros-driver, ros-foxy-depthai-ros-msgs, ros-foxy-ros-workspace
Description: The depthai-ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-depthai-ros//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
